loki-stack:
  grafana:
    enabled: true
    persistence:
      enabled: true
      size: 4Gi
      storageClassName: longhorn
    ingress:
      enabled: true
      annotations: {"kubernetes.io/ingress.class": "nginx"}
      hosts: ["grafana.home.com"]

  prometheus.enabled: true
  promtail.enabled: false

  prometheus.alertmanager.persistentVolume.enabled: false
  prometheus.server.persistentVolume.enabled: true
  
  loki.persistence.enabled: true
  loki.persistence.storageClassName: longhorn
  loki.persistence.size: 4Gi

  chunk_store_config:
    max_look_back_period: 24h


  schema_config:
    configs:
    - index:
        prefix: loki_index_
        period: 24h

  table_manager:
    retention_deletes_enabled: true
    retention_period: 168h
